System requirements

Browser support

Empower-retirement.com is best viewed using the latest version of Chrome, Firefox, Safari or Internet Explorer. While many browsers automatically update themselves, you can also update them manually.

You can download the latest browser version using the links below.

If you are using an older browser with outdated security, you will be redirected to update your browser in order to log in to the Empower Retirement website.

JavaScript

JavaScript is an object-oriented scripting language for internet applications. Most sites today use JavaScript to perform certain actions. We use JavaScript to run certain features. JavaScript must be enabled on your browsers in order to access our site. Please visit your browser’s website to learn how to enable JavaScript on your browser.

Adobe Acrobat

We require users to have Adobe Acrobat Reader installed on their systems for access to various PDF documents that we make available to our participants. Adobe Reader is a free software product used for viewing and printing Adobe Portable Document Format (PDF) files.

Transport Layer Security information

Personal and plan information that is sent from our site over the internet is encrypted by using Transport Layer Security (TLS) technology. This technology encrypts the information before transmitting so only the person requesting it is able to view it.

If your browser is unable to support current TLS technology, or if you have disabled that feature on your browser, you will be unable to view information from, or upload files to, our site.

Informed consent

While these measures may represent diligent website security, there is always a risk, however small, that data may be compromised. Proceeding by entering your username implies acceptance of this risk.